Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 573314 (CVE-2016-2198)

Summary: <app-emulation/qemu-2.5.0-r2: usb: ehci null pointer dereference in ehci_caps_write (CVE-2016-2198)
Product: Gentoo Security Reporter: Agostino Sarubbo <ago>
Component: VulnerabilitiesAssignee: Gentoo Security <security>
Status: RESOLVED FIXED    
Severity: minor CC: qemu+disabled
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
URL: http://www.openwall.com/lists/oss-security/2016/01/29/6
Whiteboard: B3 [glsa cve]
Package list:
Runtime testing required: ---
Bug Depends on: 578044    
Bug Blocks:    

Description Agostino Sarubbo gentoo-dev 2016-01-29 16:43:59 UTC
From ${URL} :

Qemu emulator built with the USB EHCI emulation support is vulnerable to a 
null pointer dereference flaw. It could occur when an application attempts to 
write to EHCI capabilities registers.

A privileged user inside quest could use this flaw to crash the Qemu process 
instance resulting in DoS.

Upstream patch:
---------------
   -> https://lists.gnu.org/archive/html/qemu-devel/2016-01/msg05899.html

Reference:
----------
   -> https://bugzilla.redhat.com/show_bug.cgi?id=1301643



@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 2 SpanKY gentoo-dev 2016-03-23 05:26:16 UTC
this is in qemu-2.5.0-r2 and is fine for stable
Comment 3 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2016-03-23 06:14:40 UTC
Added to existing GLSA.
Comment 4 Yury German Gentoo Infrastructure gentoo-dev 2016-04-02 17:22:04 UTC
Clean as part of bug #567420
Comment 5 GLSAMaker/CVETool Bot gentoo-dev 2016-04-02 18:28:09 UTC
This issue was resolved and addressed in
 GLSA 201604-01 at https://security.gentoo.org/glsa/201604-01
by GLSA coordinator Yury German (BlueKnight).